Subject: bug#62732: 29.0.60; uniquify-trailing-separator-p affects any buffer whose name matches a dir in CWD

From: Stefan Monnier <[email-masked]>
Date: Wed, 12 Jul 2023 15:43:49 -0400

> Not to prelong the discussion any further, but one more detail: This
> uniquify-trailing-separator-p variable really IMO should be a dired
> variable, since it only affects dired buffer naming (at least in core
> Emacs, for now).  This behavior has really nothing to do with uniquify.
> So IMO it should never have been a uniquify variable in the first place,
> and in an earlier version of my patch I moved the variable to dired and
> obsoleted the old one.

FWIW, I agree, and I'd also recommend to make this variable default to t.

        Stefan